%define	module	Unix-Syslog
%define	name	perl-%{module}
%define	version	1.1
%define	release	%mkrel 8

Name:		%{name}
Summary:	Perl interface to the UNIX system logger
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/Unix/%{module}-%{version}.tar.gz

Buildrequires:	perl-devel


%description
This module provides access to the system logger available on most
UNIX systems via perl XSUBs (perl's C interface).

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1-8.mga3
+ Revision: 374625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.1-7.mga3
+ Revision: 251293
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.1-6.mga2
+ Revision: 105100
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.1-5.mga1
+ Revision: 32776
- mageia rebuild
- imported package perl-Unix-Syslog

